Index: /trunk/include/FlairSimulator/X4.h
===================================================================
--- /trunk/include/FlairSimulator/X4.h	(revision 12)
+++ /trunk/include/FlairSimulator/X4.h	(revision 13)
@@ -22,71 +22,62 @@
 #include <stdio.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-    }
-    namespace gui
-    {
-        class DoubleSpinBox;
-    }
-    namespace actuator
-    {
-        class SimuBldc;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+}
+namespace gui {
+class DoubleSpinBox;
+}
+namespace actuator {
+class SimuBldc;
+}
 }
 
 #ifdef GL
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 #endif
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
-    class Blade;
-    class MeshSceneNode;
+namespace flair {
+namespace simulator {
+class Simulator;
+class Blade;
+class MeshSceneNode;
 
-    class X4 : public Model
-    {
-        public:
-            X4(const Simulator* parent,std::string name, int dev_id);
-            ~X4();
+class X4 : public Model {
+public:
+  X4(const Simulator *parent, std::string name, int dev_id);
+  ~X4();
 #ifdef GL
-            virtual void Draw(void);
-            virtual void ExtraDraw(void){};
+  virtual void Draw(void);
+  virtual void ExtraDraw(void){};
 
-        protected:
-                    irr::scene::IMesh *red_arm,*black_arm,*motor;
-                    MeshSceneNode *fl_arm,*fr_arm,*rl_arm,*rr_arm;
-                    MeshSceneNode *fl_motor,*fr_motor,*rl_motor,*rr_motor;
-                    Blade *fl_blade,*fr_blade,*rl_blade,*rr_blade;
-                    core::Mutex *motor_speed_mutex;
+protected:
+  irr::scene::IMesh *red_arm, *black_arm, *motor;
+  MeshSceneNode *fl_arm, *fr_arm, *rl_arm, *rr_arm;
+  MeshSceneNode *fl_motor, *fr_motor, *rl_motor, *rr_motor;
+  Blade *fl_blade, *fr_blade, *rl_blade, *rr_blade;
+  core::Mutex *motor_speed_mutex;
 #endif
-        private:
-            void CalcModel(void);
-    #ifdef GL
-            bool OnEvent(const irr::SEvent& event){};
-            void AnimateModel(void);
-            size_t dbtSize(void) const;
-            void WritedbtBuf(char* dbtbuf);
-            void ReaddbtBuf(char* dbtbuf);
-    #endif
+private:
+  void CalcModel(void);
+#ifdef GL
+  bool OnEvent(const irr::SEvent &event){};
+  void AnimateModel(void);
+  size_t dbtSize(void) const;
+  void WritedbtBuf(char *dbtbuf);
+  void ReaddbtBuf(char *dbtbuf);
+#endif
 
-            actuator::SimuBldc *motors;
-            float motor_speed[4];
-            gui::DoubleSpinBox *m,*arm_length,*l_cg;
-            gui::DoubleSpinBox *k_mot,*c_mot;
-            gui::DoubleSpinBox *f_air_vert,*f_air_lat;
-            gui::DoubleSpinBox *j_roll,*j_pitch,*j_yaw;
-    };
+  actuator::SimuBldc *motors;
+  float motor_speed[4];
+  gui::DoubleSpinBox *m, *arm_length, *l_cg;
+  gui::DoubleSpinBox *k_mot, *c_mot;
+  gui::DoubleSpinBox *f_air_vert, *f_air_lat;
+  gui::DoubleSpinBox *j_roll, *j_pitch, *j_yaw;
+};
 } // end namespace simulator
 } // end namespace flair
Index: /trunk/include/FlairSimulator/X8.h
===================================================================
--- /trunk/include/FlairSimulator/X8.h	(revision 12)
+++ /trunk/include/FlairSimulator/X8.h	(revision 13)
@@ -21,73 +21,65 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-    }
-    namespace gui
-    {
-        class DoubleSpinBox;
-    }
-    namespace actuator
-    {
-        class SimuBldc;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+}
+namespace gui {
+class DoubleSpinBox;
+}
+namespace actuator {
+class SimuBldc;
+}
 }
 
 #ifdef GL
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 #endif
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
-    class Blade;
-    class MeshSceneNode;
+namespace flair {
+namespace simulator {
+class Simulator;
+class Blade;
+class MeshSceneNode;
 
-    class X8 : public Model
-    {
-        public:
-            X8(const Simulator* parent,std::string name, int dev_id);
-            ~X8();
-            virtual void Draw(void);
-			virtual void ExtraDraw(void){};
-        protected:
+class X8 : public Model {
+public:
+  X8(const Simulator *parent, std::string name, int dev_id);
+  ~X8();
+  virtual void Draw(void);
+  virtual void ExtraDraw(void){};
+
+protected:
 #ifdef GL
-            irr::scene::IMesh *red_arm,*black_arm,*motor;
-			MeshSceneNode *fl_arm,*fr_arm,*rl_arm,*rr_arm;
-			MeshSceneNode *tfl_motor,*tfr_motor,*trl_motor,*trr_motor;
-			MeshSceneNode *bfl_motor,*bfr_motor,*brl_motor,*brr_motor;
-			Blade *tfl_blade,*tfr_blade,*trl_blade,*trr_blade;
-			Blade *bfl_blade,*bfr_blade,*brl_blade,*brr_blade;
+  irr::scene::IMesh *red_arm, *black_arm, *motor;
+  MeshSceneNode *fl_arm, *fr_arm, *rl_arm, *rr_arm;
+  MeshSceneNode *tfl_motor, *tfr_motor, *trl_motor, *trr_motor;
+  MeshSceneNode *bfl_motor, *bfr_motor, *brl_motor, *brr_motor;
+  Blade *tfl_blade, *tfr_blade, *trl_blade, *trr_blade;
+  Blade *bfl_blade, *bfr_blade, *brl_blade, *brr_blade;
 #endif
-        private:
-            void CalcModel(void);
-    #ifdef GL
-            bool OnEvent(const irr::SEvent& event){};
-            void AnimateModel(void);
-            size_t dbtSize(void) const;
-            void WritedbtBuf(char* dbtbuf);
-            void ReaddbtBuf(char* dbtbuf);
-            core::Mutex *motor_speed_mutex;
-    #endif
+private:
+  void CalcModel(void);
+#ifdef GL
+  bool OnEvent(const irr::SEvent &event){};
+  void AnimateModel(void);
+  size_t dbtSize(void) const;
+  void WritedbtBuf(char *dbtbuf);
+  void ReaddbtBuf(char *dbtbuf);
+  core::Mutex *motor_speed_mutex;
+#endif
 
-            actuator::SimuBldc *motors;
-            float motor_speed[8];
-            gui::DoubleSpinBox *m,*arm_length,*l_cg;
-            gui::DoubleSpinBox *k_mot,*c_mot;
-            gui::DoubleSpinBox *f_air_vert,*f_air_lat;
-            gui::DoubleSpinBox *j_roll,*j_pitch,*j_yaw;
-            gui::DoubleSpinBox *j_r,*sigma,*S;
-    };
+  actuator::SimuBldc *motors;
+  float motor_speed[8];
+  gui::DoubleSpinBox *m, *arm_length, *l_cg;
+  gui::DoubleSpinBox *k_mot, *c_mot;
+  gui::DoubleSpinBox *f_air_vert, *f_air_lat;
+  gui::DoubleSpinBox *j_roll, *j_pitch, *j_yaw;
+  gui::DoubleSpinBox *j_r, *sigma, *S;
+};
 } // end namespace simulator
 } // end namespace flair
Index: /trunk/scripts/flair_format_dir.sh
===================================================================
--- /trunk/scripts/flair_format_dir.sh	(revision 13)
+++ /trunk/scripts/flair_format_dir.sh	(revision 13)
@@ -0,0 +1,16 @@
+#! /bin/sh
+DIR=$1
+if [ ! -d $DIR ]; then
+  echo "Directory $DIR not found"
+  exit 1
+fi
+CLANG_FORMAT_CMD=$(locate --regex /clang-format$)
+if [ $? -ne 0 ]; then
+  echo "clang-format command not found. Please install it before running this script."
+  exit 2
+else
+  echo "clang-format binary used is $CLANG_FORMAT_CMD"
+fi
+
+find $DIR \( -name '*.h' -o -name '*.cpp' \) -execdir $CLANG_FORMAT_CMD -style=llvm -i {} +
+
